Bug 1007586 - Internal compiler error on armv7hl when building mrpt package [NEEDINFO]
Internal compiler error on armv7hl when building mrpt package
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
20
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker 991879
  Show dependency treegraph
 
Reported: 2013-09-12 16:00 EDT by Rich Mattes
Modified: 2015-06-29 08:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:22:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jakub: needinfo? (richmattes)


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2013-09-12 16:00:33 EDT
Description of problem:
I'm trying to rebuild mrpt in f20 and f21, and it looks like arm gcc is hitting an error that i686 and x86_64 versions aren't.  You can view the build logs at 
http://koji.fedoraproject.org/koji/taskinfo?taskID=5928632

The i686 and x86_64 builds finish without issue, but the arm version segfaults consistently at the same point:

cd /builddir/build/BUILD/mrpt-1.0.2/build/libs/slam && /usr/bin/c++   -DDISABLE_OPENNI -DEIGEN_USE_NEW_STDVECTOR -DEIGEN_YES_I_KNOW_SPARSE_MODULE_IS_NOT_STABLE_YET -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -Dmrpt_slam_EXPORTS -DvtkFiltersStatistics_AUTOINIT="1(vtkFiltersStatisticsGnuR)" -DvtkRenderingCore_AUTOINIT="4(vtkInteractionStyle,vtkRenderingFreeType,vtkRenderingFreeTypeOpenGL,vtkRenderingOpenGL)" -DvtkRenderingVolume_AUTOINIT="1(vtkRenderingVolumeOpenGL)" -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  -isystem /usr/include/opencv -isystem /usr/include -pthread -I /usr/lib/wx/include/gtk2-unicode-release-2.8 -isystem /usr/lib/wx/include/gtk2-unicode-release-2.8 -I /usr/include/wx-2.8 -isystem /usr/include/wx-2.8  -Wno-deprecated -isystem /usr/include/pcl-1.7 -isystem /usr/include/vtk -isystem /usr/include -isystem /usr/include/freetype2 -isystem /usr/include/libxml2 -isystem /usr/include/python2.7 -isystem /usr/include/eigen3 -isystem /usr/include/qhull  -Wall -Wno-long-long -Wno-write-strings -Wno-variadic-macros -pedantic -pthread -std=c++11  -fopenmp  -fPIC -I/usr/include/eigen3 -I/usr/include/eigen3/unsupported -I/usr/include/opencv -isystem /usr/lib/wx/include/gtk2-unicode-release-2.8 -isystem /usr/include/wx-2.8 -I/usr/include/vtk -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/python2.7 -I/usr/include/pcl-1.7 -I/usr/include/qhull -I/usr/include/suitesparse -I/builddir/build/BUILD/mrpt-1.0.2/. -I/builddir/build/BUILD/mrpt-1.0.2/build/include/mrpt-config/unix -I/builddir/build/BUILD/mrpt-1.0.2/libs/slam/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/bayes/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/graphs/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/vision/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/scanmatching/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/maps/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/obs/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/opengl/include -I/builddir/build/BUILD/mrpt-1.0.2/libs/base/include    -o CMakeFiles/mrpt-slam.dir/src/slam/CMetricMapBuilderICP.cpp.o -c /builddir/build/BUILD/mrpt-1.0.2/libs/slam/src/slam/CMetricMapBuilderICP.cpp
/builddir/build/BUILD/mrpt-1.0.2/libs/slam/src/slam/CMetricMapBuilderICP.cpp:629:1: internal compiler error: Segmentation fault
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):
gcc                       armv7hl    4.8.1-6.fc20

How reproducible:
This bug happens consistently in f20 and rawhide when building the mrpt package.

Steps to Reproduce:
1. Submit mrpt-1.0.2-1 for building on koji
2.
3.

Actual results:
Segmentation fault during build

Expected results:
Finished build
Comment 1 Kyle McMartin 2013-09-17 16:29:23 EDT
Override CFLAGS and see if it goes away at -O1 or -O0?

--Kyle
Comment 2 Rich Mattes 2013-09-18 11:39:19 EDT
Thanks Kyle.  I overrode the cflags to pass -O1, and the build completed without an internal compiler error.  So as a work-around I'll leave mrpt at -O1 for now.  The bug is still reproducible at -O2, so I'll keep this bug open.
Comment 3 Jakub Jelinek 2013-09-18 11:59:02 EDT
Please provide the preprocessed source (add -save-temps to the above compilation line and attach CMetricMapBuilderICP.ii it creates).
Comment 4 Fedora End Of Life 2015-05-29 05:23:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:22:20 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.